Subject: Re: [RFC PATCH v3 0/3] Enable virtio_net to act as a backup for a passthru device

From: Stephen Hemminger <[email-masked]>
Date: Fri, 23 Feb 2018 15:59:04 -0800

On Thu, 22 Feb 2018 13:30:12 -0800
Alexander Duyck <[email-masked]> wrote:

> > Again, I undertand your motivation. Yet I don't like your solution.
> > But if the decision is made to do this in-driver bonding. I would like
> > to see it baing done some generic way:
> > 1) share the same "in-driver bonding core" code with netvsc
> >    put to net/core.
> > 2) the "in-driver bonding core" will strictly limit the functionality,
> >    like active-backup mode only, one vf, one backup, vf netdev type
> >    check (so noone could enslave a tap or anything else)
> > If user would need something more, he should employ team/bond.  

Sharing would be good, but netvsc world would really like to only have
one visible network device.